package com.indicee.customtabledemo.client;

import java.util.List;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;
import com.indicee.api.objects.ViewWindow;
import com.indicee.api.objects.report.Report;
import com.indicee.api.objects.report.view.filter.Filter;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("data")
public interface IndiceeDataService extends RemoteService {
    Report getReport(int id) throws Exception;

    Report getReport(int id, ViewWindow viewWindow) throws Exception;

    Report getReport(int id, List<Filter> fieldFilters) throws Exception;

    Report getReport(int id, List<Filter> fieldFilters, ViewWindow viewWindow) throws Exception;

}
