package com.indicee.api.connector.exception;

import java.io.Serializable;

import com.indicee.api.connector.IndiceeAPIConnector;

/**
 * This exception is thrown by the {@link IndiceeAPIConnector}. It is thrown
 * when the Indicee server returns an error.
 * 
 * @author victork
 * 
 */
public class IndiceeAPIStatusException extends IndiceeAPIConnectorException implements Serializable {

    private static final long serialVersionUID = 7847286323239064156L;

    public IndiceeAPIStatusException(int status, String message, String path) {
        super("Error returned from Indicee. Status: " + status + ", Path: " + path + "\nMessage Returned:\n"
                + message.substring(55));
    }
}
