package com.indicee.api.objects.report.view.attributes;

import java.io.Serializable;

public class Attribute implements Serializable {
    private static final long serialVersionUID = 6684538237393611532L;
    private String name;
    private String type;
    private String value;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        sb.append(indent).append("<attribute name=\"" + name + "\" type=\"" + type + "\" value=\"" + value + "\"/>");
        return sb.toString();
    }
}
