package com.indicee.api.objects.report.view.axes;

import java.io.Serializable;
import java.util.List;

public class ValuesAxislayer extends Layer implements Serializable {

    private static final long serialVersionUID = -2469540269050340293L;
    private List<QueryValue> values;

    public void setValues(List<QueryValue> values) {
        this.values = values;
    }

    public List<QueryValue> getValues() {
        return values;
    }

    @Override
    public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        sb.append(indent).append("<valuesaxislayer>").append(newLine);
        sb.append(indent + tab).append("<values>").append(newLine);
        for (QueryValue value : values) {
            sb.append(value.toString(newLine, tab, indent + tab + tab)).append(newLine);
        }
        sb.append(indent + tab).append("</values>").append(newLine);
        sb.append(indent).append("</valuesaxislayer>");
        return sb.toString();
    }
}
