package com.indicee.api.objects.report.view.filter;

import java.io.Serializable;

import com.indicee.api.objects.report.IndiceeObject;

public class FieldFilterValue extends IndiceeObject implements Serializable {

    private static final long serialVersionUID = 4968031991531919647L;
    private String value;

    public FieldFilterValue() {
    }

    public FieldFilterValue(String value) {
        this.value = value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        sb.append(indent).append("<value value=\"" + htmlEncode(value) + "\"/>");
        return sb.toString();
    }
}
