package com.indicee.api.objects.report.view.filter;

import java.io.Serializable;

public class RelativeTimePeriod implements Serializable {

    private static final long serialVersionUID = 8546877811043053071L;
    private int rangeEnd;
    private int rangeStart;
    private String timePeriod;
    private long referenceTime;

    public int getRangeEnd() {
        return rangeEnd;
    }

    public int getRangeStart() {
        return rangeStart;
    }

    public long getReferenceTime() {
        return referenceTime;
    }

    public String getTimePeriod() {
        return timePeriod;
    }

    public void setRangeEnd(int rangeEnd) {
        this.rangeEnd = rangeEnd;
    }

    public void setRangeStart(int rangeStart) {
        this.rangeStart = rangeStart;
    }

    public void setReferenceTime(long referenceTime) {
        this.referenceTime = referenceTime;
    }

    public void setTimePeriod(String timePeriod) {
        this.timePeriod = timePeriod;
    }

    public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        sb.append(indent).append(
                "<relativetimeperiod timeperiod=\"" + timePeriod + "\" rangestart=\"" + rangeStart + "\" rangeend=\""
                        + rangeEnd + "\"/>");
        return sb.toString();
    }
}
