package com.indicee.api.objects.report;

import java.io.Serializable;
import java.util.Date;

public abstract class IndiceeObject implements Serializable {

    private static final long serialVersionUID = 7213662872623706430L;

    @SuppressWarnings("deprecation")
    protected static String dateToString(Date date) {
        return date.getYear() + "-" + pad(date.getMonth() + 1) + "-" + pad(date.getDate()) + "'T'"
                + pad(date.getHours()) + ":" + pad(date.getMinutes()) + ":" + pad(date.getSeconds());
    }

    private static String pad(int num) {
        String number = String.valueOf(num);
        return number.length() == 2 ? number : "0" + number;
    }

    protected String htmlEncode(String string) {
        return string.replaceAll("\"", "&quot;");
    }
}
