package com.indicee.api.services;

import com.indicee.api.connector.IndiceeAPIConnector;

/**
 * This defines an abstract Indicee API Service that all other API services
 * extend.
 * 
 * @author victork
 * 
 */
public abstract class IndiceeAPIService {

    protected static final String URL_SLASH = "/";
    protected static final String URL_QUERY_PARAM_START = "?";

    protected final IndiceeAPIConnector connector;

    protected IndiceeAPIService(IndiceeAPIConnector connector) {
        this.connector = connector;
    }
}
